const express = require("express");
const router = express.Router();
const serverController = require("../controllers/serverController");
const { protect } = require("../middleware/authMiddleware");
router.post("/register", serverController.register);
router.post("/heartbeat", serverController.heartbeat);
router.get("/list", serverController.list);
router.post("/join", protect, serverController.join);
module.exports = router;
